<!DOCTYPE html>
<html>
<head>
<meta charset='utf-8' />
<script src='../dist/index.global.js'></script>
<script>
	var custEvents = [{title:"일정이름", start:"2022-12-05", end:"2022-12-08"}]
	

    fetch("../../calendarList.do") //젤 상위에존재하는게 아니여서 
	.then(result=> result.json())
	.then(result => {
		for(let item of result){
		custEvents.push(item)
		}
		calendar['events']=custEvents
	    console.log(calendar['events'])
	
	})
	.catch(err => console.log(err))

  document.addEventListener('DOMContentLoaded', function() {
	
    var calendarEl = document.getElementById('calendar');

    var calendar = new FullCalendar.Calendar(calendarEl, {
      headerToolbar: {
        left: 'prev,next today',
        center: 'title',
        right: 'dayGridMonth,timeGridWeek,timeGridDay'
      },
      initialDate: new Date(), //기본페이지 - 오늘날자 기준
      navLinks: true, // can click day/week names to navigate views
      selectable: true,
      selectMirror: true,
      select: function(arg) {  //이벤트 추가
        var title = prompt('Event Title:');
        if (title) {
          calendar.addEvent({
            title: title,
            start: arg.start,
            end: arg.end,
            allDay: arg.allDay
          })
        }
        calendar.unselect()
      },
      eventClick: function(arg) {  //이벤트 클릭해서 삭제
        if (confirm('Are you sure you want to delete this event?')) {
          arg.event.remove()
        }
      },
      editable: true,
      dayMaxEvents: true, // allow "more" link when too many events
      events: custEvents  //custEvents안에 이벤트 지정하면 화면에 그려줄것임
    });
    

	    calendar.render();  //화면에 그려짐

  });

</script>
<style>

  body {
    margin: 40px 10px;
    padding: 0;
    font-family: Arial, Helvetica Neue, Helvetica, sans-serif;
    font-size: 14px;
  }

  #calendar {
    max-width: 1100px;
    margin: 0 auto;
  }

</style>
</head>
<body>

  <div id='calendar'></div>

</body>
</html>
